LogController
Keywords: uk.ac.ic.doc.automed.util.LogController class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.util
Class LogController

    java.lang.Object
      java.util.logging.Logger
          uk.ac.ic.doc.automed.util.LogController

    public class LogController

extends java.util.logging.Logger

LogController.java
Customise logging behaviour: sending all log messages to a file using a customised log format. This is used to customise the logging facility in the OverlayWeaver API.

Author:
  Duc M Le dmle@doc.ic.ac.uk
  Created on August 16, 2006
  Department of Computing, Imperial College

Field Summary
`static java.lang.String` | `LOG_FILE`

Fields inherited from class java.util.logging.Logger
`global`

Constructor Summary
`protected` | `LogController(java.lang.String name, java.lang.String resourceBundleName)` Creates a new instance of LogController

Method Summary
`static java.util.logging.Logger` | `getLogger(java.lang.String name)` Customise the logger

Methods inherited from class java.util.logging.Logger
`addHandler, config, entering, entering, entering, exiting, exiting, fine, finer, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getHandlers, getLevel, getLogger, getName, getParent, getResourceBundle, getResourceBundleName, getUseParentHandlers, info, isLoggable, log, log, log, log, log, logp, logp, logp, logp, logrb, logrb, logrb, logrb, removeHandler, setFilter, setLevel, setParent, setUseParentHandlers, severe, throwing, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_FILE

    public static final java.lang.String LOG_FILE

Constructor Detail

### LogController

    protected LogController(java.lang.String name,
                            java.lang.String resourceBundleName)

  Creates a new instance of LogController

Method Detail

### getLogger

    public static java.util.logging.Logger getLogger(java.lang.String name)

  Customise the logger

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD